# Generated by Django 2.2 on 2021-01-16 17:39

import accounts.models.user_info
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('user_name', models.CharField(max_length=200)),
                ('email_address', models.EmailField(max_length=254, unique=True)),
                ('password', models.CharField(max_length=150)),
                ('is_staff', models.BooleanField(default=False)),
                ('is_verified_email_address', models.BooleanField(default=False, null=True)),
                ('verified_email_address_date', models.DateTimeField(blank=True, null=True)),
                ('mobile_no', models.CharField(max_length=50, null=True)),
                ('is_verified_mobile_no', models.BooleanField(default=False, null=True)),
                ('verified_mobile_no_date', models.DateTimeField(blank=True, null=True)),
                ('lang_id', models.IntegerField()),
                ('time_zone', models.CharField(default='Asia/Kolkata', max_length=50)),
                ('firebase_device_id', models.CharField(max_length=1000, null=True)),
                ('rated_no_of_records', models.IntegerField(null=True)),
                ('rating', models.DecimalField(decimal_places=1, max_digits=5)),
                ('auth_provider', models.CharField(max_length=10, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(blank=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Level',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('level_name', models.CharField(max_length=100, unique=True)),
                ('range_from', models.IntegerField()),
                ('range_to', models.IntegerField()),
                ('no_of_orders', models.IntegerField()),
                ('created_by_id', models.IntegerField()),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_by_id', models.IntegerField(null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(blank=True, null=True)),
                ('deleted_by_id', models.IntegerField(null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_level',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ResetPassword',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('otp', models.CharField(max_length=10)),
                ('email_address', models.EmailField(max_length=254, null=True)),
                ('mobile_no', models.CharField(max_length=20, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'user_reset_token',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserActiveLoggedIn',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('access_token', models.CharField(max_length=200)),
                ('created_date', models.DateTimeField()),
            ],
            options={
                'db_table': 'user_active_logged_in',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserAddress',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('address_nick_name', models.CharField(max_length=50)),
                ('company_name', models.CharField(max_length=200, null=True)),
                ('address_line1', models.CharField(max_length=200)),
                ('address_line2', models.CharField(max_length=200, null=True)),
                ('landmark', models.CharField(max_length=200, null=True)),
                ('pincode', models.IntegerField()),
                ('is_default', models.BooleanField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user_address',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserBank',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('bank_account_name', models.CharField(max_length=50)),
                ('bank_account_no', models.CharField(max_length=50)),
                ('bank_name', models.CharField(max_length=100)),
                ('bank_address', models.CharField(max_length=500, null=True)),
                ('bank_ifsc_code', models.CharField(max_length=25)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user_bank',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserCertification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('certification_name', models.CharField(max_length=200)),
                ('certification_from', models.CharField(max_length=200)),
                ('certification_year', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user_certification',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserDeactivation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('other_reason', models.CharField(max_length=1000, null=True)),
            ],
            options={
                'db_table': 'mst_user_deactivation',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserEducation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('university_name', models.CharField(max_length=200)),
                ('education_year', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user_education',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserLanguage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user_lang',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserOTPVerification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mobile_no', models.CharField(max_length=10)),
                ('otp', models.CharField(max_length=16)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'user_otp_verification',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserPersonalInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=100)),
                ('last_name', models.CharField(max_length=100)),
                ('profile_picture', models.FileField(null=True, upload_to=accounts.models.user_info.profile_picture)),
                ('description', models.CharField(max_length=200, null=True)),
                ('personal_website', models.CharField(max_length=200, null=True)),
            ],
            options={
                'db_table': 'mst_user_personal_info',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserSkill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user_skill',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('user_type_name', models.CharField(max_length=100, unique=True)),
                ('created_by_id', models.IntegerField()),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_by_id', models.IntegerField(null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(blank=True, null=True)),
                ('deleted_by_id', models.IntegerField(null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'mst_user_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserVerificationCode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('verification_code', models.CharField(max_length=16)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'user_verification_code',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserSocialAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('social_account_id', models.CharField(max_length=200)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_social_account_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_social_account_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_social_account_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_user_social_account',
                'default_permissions': (),
            },
        ),
    ]
